
public class Class118_Sub16 extends Class118 {

   long aLong8296;
   int anInt8297;
   static long aLong8298;


   public void method2311() {
      IntVar var1 = (IntVar)Class81.aClass423_831.method7211(this.aLong8296 * 6633714539383470003L);
      if(var1 != null) {
         var1.integer = -111438129 * this.anInt8297;
      } else {
         Class81.aClass423_831.method7206(new IntVar(this.anInt8297 * -1455304501), 6633714539383470003L * this.aLong8296);
      }
   }

   public void method2308(int var1) {
      IntVar var2 = (IntVar)Class81.aClass423_831.method7211(this.aLong8296 * 6633714539383470003L);
      if(var2 != null) {
         var2.integer = -111438129 * this.anInt8297;
      } else {
         Class81.aClass423_831.method7206(new IntVar(this.anInt8297 * -1455304501), 6633714539383470003L * this.aLong8296);
      }
   }

   public void method2316() {
      IntVar var1 = (IntVar)Class81.aClass423_831.method7211(this.aLong8296 * 6633714539383470003L);
      if(var1 != null) {
         var1.integer = -111438129 * this.anInt8297;
      } else {
         Class81.aClass423_831.method7206(new IntVar(this.anInt8297 * -1455304501), 6633714539383470003L * this.aLong8296);
      }
   }

   Class118_Sub16(RS2Buffer var1, boolean var2) {
      super(var1);
      int var3 = var1.readUnsignedShort(-937710807);
      if(var2) {
         this.aLong8296 = -2668690563584766085L * (4294967296L | (long)var3);
      } else {
         this.aLong8296 = (long)var3 * -2668690563584766085L;
      }

      this.anInt8297 = var1.readInt_(-643620104) * 1820071139;
   }

   static final void method13218(int var0) {
      int var1 = 0;
      Class241 var2 = client.aClass279_7807.method4917(-2045526760);

      for(int var3 = 0; var3 < client.aClass279_7807.method4910(1630660210); ++var3) {
         for(int var4 = 0; var4 < client.aClass279_7807.method4911((byte)-104); ++var4) {
            if(Class574.method12203(var2.aClass572ArrayArrayArray2868, var1, var3, var4, true, -1624498921)) {
               ++var1;
            }

            if(var1 >= 512) {
               return;
            }
         }
      }

   }

   public static void method13219(String var0, int var1) {
      Class9.method665(0, 0, "", "", "", var0, 226991308);
   }

   static void method13220(Interface22 var0, short var1) {
      while(Class237.aLinkedList2827.size() > 10) {
         if(var1 == 128) {
            return;
         }

         Class237.aLinkedList2827.remove();
      }

      Class237.aLinkedList2827.add(var0);
   }
}
